import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/login.vue'
import DashboardView from '../views/dashboard.vue'
import OrganizationView from '../views/organization.vue'
import UserListView from '../views/userList.vue'

const routes = [
  {
    path: '/',
    name: 'Home',
    component: HomeView
  },
  {
    path: '/login',
    name: 'Login',
    component: LoginView
  },
  {
    path: '/dashboard',
    name: 'Dashboard',
    component: DashboardView
  },
  {
    path: '/organization',
    name: 'Organization',
    component: OrganizationView
  },
  {
    path: '/userList',
    name: 'UserList',
    component: UserListView
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
